## imcode.server.document
Class TestDocumentDomainObject

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              imcode.server.document.TestDocumentDomainObject

All Implemented Interfaces:
  junit.framework.Test

    public class TestDocumentDomainObject

extends junit.framework.TestCase

Constructor Summary
`TestDocumentDomainObject()`

Method Summary
`protected void` `setUp()`
`void` `testDeepClonePermissionSets()`
`void` `testDeepCloneRoles()`
`void` `testGetDocumentProperties()`
`void` `testGetLifeCyclePhaseAtTime()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestDocumentDomainObject

    public TestDocumentDomainObject()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testDeepCloneRoles

    public void testDeepCloneRoles()
                            throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### testDeepClonePermissionSets

    public void testDeepClonePermissionSets()
                                     throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### testGetLifeCyclePhaseAtTime

    public void testGetLifeCyclePhaseAtTime()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetDocumentProperties

    public void testGetDocumentProperties()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`